

// CUSTOM TEXTURES 

textures/rhbtpb/heartbeat
{
    qer_editorimage textures/rhbtpb/heartbeat.tga
	surfaceparm woodsteps
    nopicmip
    nomipmaps
    implicitMap -
}

textures/rhbtpb/doublearrow
{
    qer_editorimage textures/rhbtpb/doublearrow.tga
	surfaceparm metalsteps
    nopicmip
    nomipmaps
    implicitMap -
}

textures/rhbtpb/rightarrow
{
    qer_editorimage textures/rhbtpb/rightarrow.tga
	surfaceparm metalsteps
    nopicmip
    nomipmaps
    implicitMap -
}

textures/rhbtpb/leftarrow
{
    qer_editorimage textures/rhbtpb/leftarrow.tga
	surfaceparm metalsteps
    nopicmip
    nomipmaps
    implicitMap -
}

textures/rhbtpb/radioantenna
{
    qer_editorimage textures/rhbtpb/radioantenna.tga
	surfaceparm woodsteps
    nopicmip
    nomipmaps
    implicitMap -
}

// TRANSPARENT SHADERS
textures/mapfx/translucent_destroy
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/mapfx/translucent_build
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 1.0 0.6 )
	}
}

textures/mapfx/translucent_take
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 1.0 0.6 )
	}
}

textures/mapfx/translucent_capture
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 1.0 )
	}
}

// COMMAND MAP

levelshots/rhbtpb_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/rhbtpb_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/rhbtpb_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/rhbtpb_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}
// ------ End of shader for levelshots ---------------------------------
